Subject: Re: [bug#69400] [PATCH] linux-initrd: Avoid looking up builtin modules.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 06 Mar 2024 23:21:45 +0100

Hi,

Hilton Chain <[email-masked]> skribis:

> * gnu/system/linux-initrd.scm (flat-linux-module-directory)
> [build-exp]<builtin-modules,modules-to-lookup>: New variables.
> <modules>: Use ‘modules-to-lookup’ to avoid looking up builtin modules.
>
> Change-Id: I60fdae0211bb6632508b1c63582e013e78186cd1

Good catch!  Did you experience build failures because of that?
(Namely, the machinery looking for modules that didn’t exist.)

LGTM, thanks!

Ludo’.